List SFTP header profile options
curl --request GET \
--url https://api.creditor.younegotiate.com/sftp/header-profile-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/sftp/header-profile-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/sftp/header-profile-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sftp_connections": [
{
"id": 123,
"name": "<string>",
"import_filepath": "<string>"
}
],
"header_profiles": [
{
"id": 123,
"company_id": 123,
"subclient_id": 123,
"name": "<string>",
"headers": [
"Account Number",
"First Name",
"Last Name"
],
"date_format": "Y-m-d",
"mapped_headers": {
"account_number": "Account Number",
"first_name": "First Name"
},
"required_fields": [
"account_number",
"first_name",
"last_name"
],
"suggested_mapped_headers": {},
"auto_detected_fields": [
"<string>"
],
"is_mapped": true,
"sftp_connection_id": 123,
"sftp_connection": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}List SFTP header profile options
List enabled import-capable SFTP connections and CSV header profiles scoped to the authenticated creditor’s company and sub-account. Use this to populate SFTP import header-profile linking controls.
GET
/
sftp
/
header-profile-options
List SFTP header profile options
Last modified on July 20, 2026
Was this page helpful?
⌘I

